import { ApiError } from "./api-error";

export class UnavailableApiError extends ApiError {
  constructor(detail: string, title?: string) {
    super({
      status: 503,
      title: title ?? "Service Unavailable",
      detail,
      type: "https://httpstatuses.com/503",
    });
  }
}
